Subject: Re: [RFC v2 powerpc] perf/hv-24x7 fail 24x7 initcall if create_events_from_catalog() fails

From: Michael Ellerman <[email-masked]>
Date: Fri, 10 Apr 2015 20:55:58 +1000

On Fri, 2015-04-10 at 16:42 +0800, Li Zhong wrote:
> As Michael pointed out, create_events_from_catalog() fails when 
> we either have:
>  - a kernel bug
>  - some sort of hypervisor misconfiguration
>  - ENOMEM
> 
> In all the above cases, we can also fail 24x7 initcall. 

Thanks.
 
> In the patch below, I used ENODEV for hypervisor errors, not sure 
> whether some other error values is more proper here. 

ENODEV is a special case, if an initcall returns ENODEV no error is reported to
dmesg.

In this case I think we would like an error to be reported, so EIO would be
better I think.

cheers